# LazyFix Makefile for Unix
# you need strftime, strlwr

CC=gcc
CFLAGS=-DUNIX -O

# libctext contains strftime and strlwr, which are needed and not in my libc
LDLIBS=-lcext

OBJS=lfix.o misc.o config.o areafix.o match.o

lfix: $(OBJS)
	$(CC) $(OBJS) $(LDLIBS) -o $@

misc.c: misc.h lfix.h qbbs.h
config.c: misc.h config.h lfix.h
tick.c: areafix.h config.h misc.h lfix.h match.h
areafix.c: areafix.h lfix.h
match.c: match.h
